groovy.json.internal

## Interface Cache<KEY,VALUE>

Type Parameters:
  `KEY` - key
  `VALUE` - value

All Known Implementing Classes:
  SimpleCache

    public interface Cache<KEY,VALUE>

Cache

Author:
  Rick Hightower

### Method Summary

All Methods Instance Methods Abstract Methods
`VALUE` `get(KEY key)`
`VALUE` `getSilent(KEY key)`
`void` `put(KEY key, VALUE value)`
`void` `remove(KEY key)`
`int` `size()`

### Method Detail

#### put

    void put(KEY key,
             VALUE value)

#### get

    VALUE get(KEY key)

#### getSilent

    VALUE getSilent(KEY key)

#### remove

    void remove(KEY key)

#### size

    int size()